﻿using Syncfusion.DataSource;
using Syncfusion.XForms.Buttons;
using Xamarin.Forms;

namespace ListViewSample
{
    public partial class MainPage : ContentPage
    {
        ContactsViewModel viewModel;
        SfRadioButton radioButton1;
        SfRadioButton radioButton2;
        SfRadioButton radioButton3;

        #region Constructor
        public MainPage()
        {
            InitializeComponent();
            viewModel = new ContactsViewModel();
             radioButton1 = new SfRadioButton();
            radioButton2 = new SfRadioButton();
            radioButton3 = new SfRadioButton();
            radioButton1.IsChecked = false;
            radioButton2.IsChecked = false;
            radioButton3.IsChecked = false;

            radioButton1.Text = "1";
            radioButton2.Text = "2";
            radioButton3.Text = "3";
            Stacklayout.Children.Add(radioButton1);
            Stacklayout.Children.Add(radioButton2);
            Stacklayout.Children.Add(radioButton3);
            radioButton1.StateChanged += RadioButton1_StateChanged;
            radioButton2.StateChanged += RadioButton1_StateChanged1;
            radioButton3.StateChanged += RadioButton3_StateChanged;

        }

        private void RadioButton3_StateChanged(object sender, StateChangedEventArgs e)
        {
            if (radioButton3.IsChecked == true)
            {
                radioButton2.IsChecked = false;
                radioButton1.IsChecked = false;
            }
        }

        private void RadioButton1_StateChanged1(object sender, StateChangedEventArgs e)
        {
            if (radioButton2.IsChecked == true)
            {
                radioButton3.IsChecked = false;
                radioButton1.IsChecked = false;
            }
        }

        private void RadioButton1_StateChanged(object sender, StateChangedEventArgs e)
        {
            if (radioButton1.IsChecked == true)
            {
                radioButton3.IsChecked = false;
                radioButton2.IsChecked = false;
            }
        }

        protected override void OnSizeAllocated(double width, double height)
        {
            base.OnSizeAllocated(width, height);
             listView.ItemSize= width;
        }

        #endregion
    }
}
